package com.srs.stureg.service.impl;

import com.srs.common.utils.DateUtils;
import com.srs.stureg.domain.CheckPhone;
import com.srs.stureg.domain.SrsStuReg;
import com.srs.stureg.mapper.CheckPhoneMapper;
import com.srs.stureg.mapper.CheckRoomMapper;
import com.srs.stureg.service.ICheckPhoneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CheckPhoneServiceImpl implements ICheckPhoneService {
    @Autowired
    private CheckPhoneMapper checkPhoneMapper;


    @Override
    public CheckPhone selectCheckPhoneById(Long id) {
        return checkPhoneMapper.selectCheckPhoneById(id);
    }

    @Override
    public int updateCheckPhone(CheckPhone checkPhone) {
        checkPhone.setUpdateTime(DateUtils.getNowDate());
        return checkPhoneMapper.updateCheckPhoneById(checkPhone);
    }

    @Override
    public CheckPhone getOwnInfoByKsh(String ksh) {
        return checkPhoneMapper.getOwnInfoByKsh(ksh);
    }

}
